# Simple Tracking Plugin Installation

## Installation

To install or update the Simple Tracking plugin, run the following command from the root of your WordPress HTML directory:

```sh
curl -sSL https://git.nixc.us/colin/SimpleTracking/raw/branch/main/install.sh | bash
```

## Enabling the Plugin

After running the install script, you need to activate the plugin. You can do this via the WordPress admin dashboard:

1. Log in to your WordPress admin dashboard.
2. Navigate to `Plugins > Installed Plugins`.
3. Find `Simple Tracking` in the list and click `Activate`.

Alternatively, you can activate the plugin using WP-CLI:

```sh
wp plugin activate simple-tracking --allow-root
```

## What `install.sh` Does

The `install.sh` script performs the following actions:

1. Defines the URL for downloading the `simple-tracking.php` file.
2. Creates the target directory (`wp-content/plugins/simple-tracking`) if it doesn't exist.
3. Downloads the `simple-tracking.php` file into the target directory.
4. Creates a blank `tracking-code.php` file if it doesn't already exist and instructs the user to add their tracking code to it.
5. Sets the correct permissions for the `simple-tracking.php` and `tracking-code.php` files.
6. Prints a message indicating that the Simple Tracking plugin has been installed or updated successfully.
